#
# spec file for package audacious-plugins
#

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

Name:           audacious-plugins
Version:        3.3.4
Release:        1.8
License:        GPL-2.0
Summary:        Plugins for Audacious
Url:            http://audacious-media-player.org/
Group:          Productivity/Multimedia/Sound/Players
Source0:        http://distfiles.atheme.org/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  libcue-devel
BuildRequires:  libfaad-devel
BuildRequires:  libffmpeg-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  lirc-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(audacious) = %{version}
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(esound)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkglext-1.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libbinio)
BuildRequires:  pkgconfig(libbs2b)
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmms)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libmtp)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libprojectM)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libsidplay2)
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(neon)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(shout)
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(wavpack)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# transport smb was dropped upstream (openSUSE 12.3)
Obsoletes:      %{name}-transport-smb <= 3.2.4

%description
Core set of plugins for the Audacious audio player.
The plugins contained in this package only have minimal dependencies
on other packages (beyond what is required for Audacious).

%package output-pulse
Summary:        Pulseaudio support plugins for Audacious
Group:          Productivity/Multimedia/Sound/Players

%description output-pulse
Pulseaudio Sound Daemon output support for Audacious.

%package input-adplug
Summary:        AdPlug input support for Audacious
Group:          Productivity/Multimedia/Sound/Players

%description input-adplug
AdPlug (AdLib files) support plugins for Audacious.

%package input-sid
Summary:        SID (C64 music) input support for Audacious
Group:          Productivity/Multimedia/Sound/Players

%description input-sid
SID (C64 music files) support plugins for Audacious.

%package input-fluidsynth
Summary:        Fluidsynth input support for Audacious
Group:          Productivity/Multimedia/Sound/Players

%description input-fluidsynth
Fluidsynth MIDI support plugins for Audacious.

%package transport-mms
Summary:        MMS protocol transport support for Audacious
Group:          Productivity/Multimedia/Sound/Players

%description transport-mms
MMS (Microsoft Media Streaming) protocol transport support for Audacious.

%package transport-http
Summary:        HTTP and WebDAV protocol transport support for Audacious
Group:          Productivity/Multimedia/Sound/Players

%description transport-http
HTTP and WebDAV protocol transport support for Audacious, using the
neon library.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"

sed -i -e "s|_mm_setzero_pd|ssegehtnichtaufathlonxp|g" configure

%configure \
    --disable-rpath \
    --enable-debug \
    --disable-filewriter_vorbis \
    --enable-amidiplug \
    --enable-smb \
    --enable-ipv6 \
    --enable-openal \
%if 0%{?suse_version} <= 1140
    --disable-gtkui \
%endif
%if 0%{?suse_version} <= 1210
    --disable-mpris2 \
%endif
%if 0%{?suse_version} <= 1220
    --disable-cdaudio \
%endif
    --enable-waveout

export SUSE_ASNEEDED=0
make %{?_smp_mflags}

%install
%makeinstall
%find_lang %{name}
%fdupes %{buildroot}

%clean
rm -rf "%{buildroot}"

%files -f "%{name}.lang"
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Container
%{_libdir}/audacious/Container/asx.so
%{_libdir}/audacious/Container/audpl.so
%{_libdir}/audacious/Container/cue.so
%{_libdir}/audacious/Container/m3u.so
%{_libdir}/audacious/Container/pls.so
%{_libdir}/audacious/Container/xspf.so
%dir %{_libdir}/audacious/Effect
%{_libdir}/audacious/Effect/compressor.so
%{_libdir}/audacious/Effect/crossfade.so
%{_libdir}/audacious/Effect/crystalizer.so
%{_libdir}/audacious/Effect/bs2b.so
%{_libdir}/audacious/Effect/echo.so
%{_libdir}/audacious/Effect/resample.so
%{_libdir}/audacious/Effect/speed-pitch.so
%{_libdir}/audacious/Effect/stereo.so
%{_libdir}/audacious/Effect/voice_removal.so
%{_libdir}/audacious/Effect/ladspa.so
%{_libdir}/audacious/Effect/mixer.so
%dir %{_libdir}/audacious/General
%{_libdir}/audacious/General/alarm.so
%{_libdir}/audacious/General/albumart.so
%{_libdir}/audacious/General/aosd.so
%if 0%{?suse_version} >= 1230  
# disabled cdaudio-ng
%{_libdir}/audacious/General/cd-menu-items.so
%endif
%{_libdir}/audacious/General/gnomeshortcuts.so
%if 0%{?suse_version} > 1140
%{_libdir}/audacious/General/gtkui.so
%endif
%{_libdir}/audacious/General/hotkey.so
%{_libdir}/audacious/General/lirc.so
%{_libdir}/audacious/General/lyricwiki.so
%if 0%{?suse_version} > 1210
# only with glib2 >= 2.30
%{_libdir}/audacious/General/mpris2.so
%endif
%if 0%{?suse_version} > 1140
%{_libdir}/audacious/General/notify.so
%endif
%{_libdir}/audacious/General/scrobbler.so
%{_libdir}/audacious/General/search-tool.so
%{_libdir}/audacious/General/song_change.so
%{_libdir}/audacious/General/statusicon.so
%{_libdir}/audacious/General/skins.so
%{_libdir}/audacious/Input/aac.so
%{_libdir}/audacious/Input/amidi-plug.so
%dir %{_libdir}/audacious/Input/amidi-plug
%{_libdir}/audacious/Input/amidi-plug/ap-alsa.so
%if 0%{?suse_version} >= 1230  
# disabled cdaudio-ng
%{_libdir}/audacious/Input/cdaudio-ng.so
%endif
%{_libdir}/audacious/Input/console.so
%{_libdir}/audacious/Input/ffaudio.so
%{_libdir}/audacious/Input/flacng.so
%{_libdir}/audacious/Input/madplug.so
%{_libdir}/audacious/Input/metronom.so
%{_libdir}/audacious/Input/modplug.so
%{_libdir}/audacious/Input/sndfile.so
%{_libdir}/audacious/Input/tonegen.so
%{_libdir}/audacious/Input/vorbis.so
%{_libdir}/audacious/Input/vtx.so
%{_libdir}/audacious/Input/wavpack.so
%{_libdir}/audacious/Input/psf2.so
%{_libdir}/audacious/Input/xsf.so
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/alsa.so
%{_libdir}/audacious/Output/filewriter.so
%{_libdir}/audacious/Output/sdlout.so
%if 0%{?suse_version} >= 1210
%{_libdir}/audacious/Output/jackout.so
%endif
%dir %{_libdir}/audacious/Transport
%{_libdir}/audacious/Transport/gio.so
%{_libdir}/audacious/Transport/unix-io.so
%dir %{_libdir}/audacious/Visualization
%{_libdir}/audacious/Visualization/cairo-spectrum.so
%{_libdir}/audacious/Visualization/blur_scope.so
%dir %{_datadir}/audacious/
%dir %{_datadir}/audacious/Skins
%{_datadir}/audacious/Skins/Classic/
%{_datadir}/audacious/Skins/Classic1.3/
%{_datadir}/audacious/Skins/Default/
%{_datadir}/audacious/Skins/Ivory/
%{_datadir}/audacious/Skins/Osmosis/
%{_datadir}/audacious/Skins/Refugee/
%{_datadir}/audacious/Skins/TinyPlayer/
%dir %{_datadir}/audacious/ui
%{_datadir}/audacious/ui/*.ui

%files output-pulse
%defattr(-,root,root)
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/pulse_audio.so

%files input-adplug
%defattr(-,root,root)
%{_libdir}/audacious/Input/adplug.so

%files input-sid
%defattr(-,root,root)
%{_libdir}/audacious/Input/sid.so

%files input-fluidsynth
%defattr(-,root,root)
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/amidi-plug/ap-fluidsynth.so

%files transport-mms
%defattr(-,root,root)
%{_libdir}/audacious/Transport/mms.so

%files transport-http
%defattr(-,root,root)
%dir %{_libdir}/audacious/Transport
%{_libdir}/audacious/Transport/neon.so

%changelog
* Fri Mar 29 2013 fisiu@opensuse.org
- Update to 3.3.4:
  * GIO transport plugin is now enabled by default
  * LIRC plugin is back
  * FLAC plugin now supports higher quality files
  * Many bugfixes
- Spec cleanup, use pkgconfig, remove old ifelse statements.
- audacious-plugins-transport-smb subpackage is gone, GIO transport
  plugin can handle smb://
* Sun Aug 19 2012 seife+obs@b1-systems.com
- update to current version 3.2.4
  - disable cdaudio plugin on 12.2+, needs fix for new libcdio
- remove no longer needed -lgmodule linker hack
* Tue May 22 2012 seife+obs@b1-systems.com
- fix build on > 12.1 by adding -lgmodule-2.0 to LIBS
* Fri Dec  9 2011 detlef@links2linux.de
- new upstream version <3.1.1>
* Sun Nov 20 2011 pascal.bleser@opensuse.org
- update to 3.1
* Sun Nov  6 2011 detlef@links2linux.de
- new upstream version <3.0.3>
* Sun Aug 28 2011 detlef@links2linux.de
- new upstream version <3.0.2>
* Sat Aug 13 2011 detlef@links2linux.de
- new upstream version <3.0.1>
* Sat Jul  2 2011 detlef@links2linux.de
- new upstream version <2.5.3>
* Thu Jun 23 2011 detlef@links2linux.de
- new upstream version <2.5.2>
* Sat May 21 2011 detlef@links2linux.de
- new upstream version <2.5.1>
* Sun Apr 17 2011 detlef@links2linux.de
- new upstream version <2.5.0>
* Sun Feb 27 2011 detlef@links2linux.de
- add no libavcodec patch for new ffmpeg
* Wed Feb 23 2011 detlef@links2linux.de
- new upstream version <2.4.4>
* Fri Jan 14 2011 detlef@links2linux.de
- new upstream version <2.4.3>
* Fri Dec 31 2010 detlef@links2linux.de
- add alsa patch <2.4.2-2>
* Wed Dec  8 2010 detlef@links2linux.de
- new upstream version <2.4.2>
* Wed Sep  8 2010 detlef@links2linux.de
- rebuild with projectM 2.0.1  <2.4.0-5>
* Wed Aug 25 2010 detlef@links2linux.de
- new upstream version <2.4-rc3>
* Fri Apr  9 2010 detlef@links2linux.de
- new upstream version <2.3>
* Wed Mar 17 2010 detlef@links2linux.de
- enable projectM support
* Wed Dec  9 2009 detlef@links2linux.de
- new upstream version <2.2>
* Wed Jul  8 2009 Manfred.Tremmel@iiv.de
- new upstream version <2.1>
* Fri Jun  5 2009 Manfred.Tremmel@iiv.de
- new upstream version <2.0.1>
* Sun Jul 20 2008 detlef@links2linux.de
- resplit subpackages:
  audacious-plugins contains the core-plugins because package managers are stupid ;)
* Wed Jul  9 2008 guru@unixtech.be
- added explicit list of plugins
* Tue Jul  8 2008 guru@unixtech.be
- add AdLib support
* Mon Jul  7 2008 guru@unixtech.be
- build against libmtp-0.3.0
- many fixes/patches
- patches to build on openSUSE 10.2
* Mon May 26 2008 detlef@links2linux.de
- new upstream version <1.5.1>
* Sun Mar 30 2008 detlef@links2linux.de
- disable ss2 for ix86, some old cpus doesn't support sse2
* Sat Mar 15 2008 detlef@links2linux.de
- new upstream version <1.5.0>
* Fri Feb  1 2008 detlef@links2linux.de
- new upstream version <1.4.5>
* Wed Jan  2 2008 detlef@links2linux.de
- new upstream version <1.4.4>
* Mon Dec 31 2007 detlef@links2linux.de
- new upstream version <1.4.3.2>
* Sat Dec 29 2007 detlef@links2linux.de
- new upstream version <1.4.3>
* Sun Dec 23 2007 detlef@links2linux.de
- new upstream version <1.4.2>
* Fri Nov 23 2007 detlef@links2linux.de
- add support for neon and C64 SID
* Mon Nov 19 2007 detlef@links2linux.de
- new upstream release <1.4.1>
* Tue Nov  6 2007 detlef@links2linux.de
- new upstream release <1.4.0>
* Mon Nov  5 2007 detlef@links2linux.de
- switch to 1.4 on PackMan
- Audacious 1.4 is now complete, and is now recommended over 1.3
* Fri Nov  2 2007 detlef@links2linux.de
- new upstream release <1.4.0-rc1>
* Mon Oct 29 2007 detlef@links2linux.de
- new upstream release <1.4.0-beta4>
* Mon Oct 15 2007 detlef@links2linux.de
- new upstream release <1.4.0-beta3>
* Thu Sep 13 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr4>
* Sun Sep  9 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr3>
* Thu Aug  9 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr2>
* Mon Jul 23 2007 detlef@links2linux.de
- initial build <1.4.0-dr1>
